<?php
return [
    'extends' => 'bootstrap3',
    'js' => [
        'openurl.js',
        'check_item_statuses.js',
        'lightbox_form_cache.js',
    ],
    'helpers' => [
        'aliases' => [
            'branchInfo' => 'finc\View\Helper\Root\BranchInfo',
            'externalCatalogueLink' => 'finc\View\Helper\Root\ExternalCatalogueLink',
            'interlibraryloan' => 'finc\View\Helper\Root\InterlibraryLoanLink',
            'sideFacet' => 'finc\View\Helper\Root\SideFacet',
            'resultfeed' => 'finc\View\Helper\Root\ResultFeed',
            'recordlink' => 'finc\View\Helper\Root\RecordLink',
        ],
        'factories' => [
            'finc\View\Helper\Root\BranchInfo' =>
                'finc\View\Helper\Root\Factory::getBranchInfo',
            'finc\View\Helper\Root\ExternalCatalogueLink' =>
                'finc\View\Helper\Root\Factory::getExternalCatalogueLink',
            'finc\View\Helper\Root\InterlibraryLoanLink' =>
                'finc\View\Helper\Root\Factory::getInterlibraryLoanLink',
            'finc\View\Helper\Root\SideFacet' =>
                'finc\View\Helper\Root\Factory::getSideFacet',
            'VuFind\View\Helper\Root\Record' =>
                'finc\View\Helper\Root\Factory::getRecord',
            'finc\View\Helper\Root\RecordLink' =>
                'finc\View\Helper\Root\Factory::getRecordLink',
            'VuFind\View\Helper\Root\Citation' =>
                'finc\View\Helper\Root\Factory::getCitation',
            'VuFind\View\Helper\Root\OpenUrl' =>
                'finc\View\Helper\Root\Factory::getOpenUrl',
            'VuFind\View\Helper\Root\RecordDataFormatter' =>
                'finc\View\Helper\Root\RecordDataFormatterFactory',
            'finc\View\Helper\Root\ResultFeed' =>
                'VuFind\View\Helper\Root\ResultFeedFactory'
        ]
    ]
];
